Gtk::WindowGroup Class Reference

Limit the effect of grabs. More...

Inheritance diagram for Gtk::WindowGroup:
[legend]
Collaboration diagram for Gtk::WindowGroup:
[legend]

## Public Member Functions

| WindowGroup (WindowGroup&& src) noexcept
WindowGroup& | operator= (WindowGroup&& src) noexcept
| ~WindowGroup () noexceptoverride
GtkWindowGroup* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkWindowGroup* | gobj () const
| Provides access to the underlying C GObject. More...
GtkWindowGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | add_window (Window& window)
| Adds a window to a Gtk::WindowGroup. More...
void | remove_window (Window& window)
| Removes a window from a Gtk::WindowGroup. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< WindowGroup > | create ()

## Protected Member Functions

| WindowGroup ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::WindowGroup > | wrap (GtkWindowGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Limit the effect of grabs.

## Constructor & Destructor Documentation

Gtk::WindowGroup::WindowGroup | ( | WindowGroup&& | src | ) |

noexcept

Gtk::WindowGroup::~WindowGroup | ( |  | ) |

override noexcept

Gtk::WindowGroup::WindowGroup | ( |  | ) |

protected

## Member Function Documentation

void Gtk::WindowGroup::add_window | ( | Window& | window | ) |

Adds a window to a Gtk::WindowGroup.

Parameters

  window | The Gtk::Window to add.

static Glib::RefPtr<WindowGroup> Gtk::WindowGroup::create | ( |  | ) |

static

static GType Gtk::WindowGroup::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GtkWindowGroup* Gtk::WindowGroup::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GtkWindowGroup* Gtk::WindowGroup::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GtkWindowGroup* Gtk::WindowGroup::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

WindowGroup& Gtk::WindowGroup::operator= | ( | WindowGroup&& | src | ) |

noexcept

void Gtk::WindowGroup::remove_window | ( | Window& | window | ) |

Removes a window from a Gtk::WindowGroup.

Parameters

  window | The Gtk::Window to remove.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::WindowGroup > wrap | ( | GtkWindowGroup * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/window.h